Request
Body Params multipart/form-data
Request Code Samples
curl --location --request POST 'http://127.0.0.1:8000/api/fchat/send-message/' \
--header 'authority: gateway-sop-dev.fpt.vn' \
--header 'accept: application/json' \
--header 'accept-language: en-US,en;q=0.9' \
--header 'authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjFjNTc3NThjLWY5ZWEtMTFlZC1hMGM1LTAyNDJjMGE4MDEwMyIsImVtYWlsIjoidGFucHY5QGZwdC5jb20iLCJrZXkiOlsicWx1IiwieHZ0dnFtZCIsInh2dHZxYnMiLCJxbGRza2hjbiIsImRsa2hjbiIsImN4IiwidHN4IiwiZGxraGNuc2siLCJjeDEiLCJzeCIsInFsbiIsInhkc24iLCJ0c3huIiwieGRzdG1uIiwiYmN0IiwiYmNraHRuIiwiYmNrbm8iXSwiaWF0IjoxNjg4MTEzMjg0LCJleHAiOjE2ODg3MTgwODR9.KL-PaXJnZr9__vlAInqaSWx-WSeEzpqMEwwGUlpiP0o' \
--header 'origin: https://portal-sop-dev.fpt.vn' \
--header 'referer: https://portal-sop-dev.fpt.vn/' \
--header 'sec-ch-ua: "Not.A/Brand";v="8", "Chromium";v="114", "Microsoft Edge";v="114"' \
--header 'sec-ch-ua-mobile: ?0' \
--header 'sec-ch-ua-platform: "Windows"' \
--header 'sec-fetch-dest: empty' \
--header 'sec-fetch-mode: cors' \
--header 'sec-fetch-site: same-site' \
--header 'user-agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/114.0.0.0 Safari/537.36 Edg/114.0.1823.58' \
--header 'X-Auth-User-Id: 1c57758c-f9ea-11ed-a0c5-0242c0a80103' \
--form 'room_id="34f77663-b0f5-442d-9ac2-96a2c23444d9"' \
--form 'message_text="helllo"' \
--form 'recipient_id="3e440751-a836-486c-9372-5394fbd7n6"' \
--form 'is_text="true"'
Responses
application/json Modified at 2024-11-22 09:59:25